// Basic Lights

datablock fxLightData(RedBright)
{
	uiName = "Red Bright";

	LightOn = true;
	radius = 25;
	brightness = 20;
	color = "1 0 0 1";

	flareOn = true;
	Flarebitmap = "base/lighting/flare";
	NearSize	= 2;
	FarSize = 1;
};
datablock fxLightData(OrangeBright : RedBright)
{
	uiName = "Orange Bright";
	color = "1 0.5 0 1";
};
datablock fxLightData(YellowBright : RedBright)
{
	uiName = "Yellow Bright";
	color = "1 1 0 1";
};
datablock fxLightData(GreenBright : RedBright)
{
	uiName = "Green Bright";
	color = "0 1 0 1";
};
datablock fxLightData(CyanBright : RedBright)
{
	uiName = "Cyan Bright";
	color = "0 1 1 1";
};
datablock fxLightData(BlueBright : RedBright)
{	
	uiName = "Blue Bright";
	color = "0 0 1 1";
};
datablock fxLightData(PurpleBright : RedBright)
{	
	uiName = "Purple Bright";
	color = "0.5 0 1 1";
};
datablock fxLightData(BrightBright : RedBright)
{
	uiName = "Bright Bright";
	color = "2 2 2 2";
};
datablock fxLightData(RGBBrightLight)
{
	uiName = "RGB Bright";

	LightOn = true;
	radius = 25;
	brightness = 20;
	color = "1 1 1";

	FlareOn			= true;
	FlareTP			= true;
	Flarebitmap = "base/lighting/flare";
	FlareColor		= "1 1 1";
	ConstantSizeOn	= false;
	ConstantSize	= 1;
	NearSize		= 1;
	FarSize			= 0.5;
	NearDistance	= 10.0;
	FarDistance		= 30.0;
	FadeTime		= 0.1;
	BlendMode		= 0;

	AnimColor		= true;
	AnimBrightness	= false;
	AnimOffsets		= false;
	AnimRotation	= false;
	LinkFlare		= true;
	LinkFlareSize	= false;
	MinColor		= "0 0 0";
	MaxColor		= "1 1 1";
	MinBrightness	= 0.0;
	MaxBrightness	= 1.0;
	MinRadius		= 0.1;
	MaxRadius		= 20;
	StartOffset		= "-5 0 0";
	EndOffset		= "5 0 0";
	MinRotation		= 0;
	MaxRotation		= 359;

	SingleColorKeys	= false;
	RedKeys			= "AAZA";
	GreenKeys		= "ZAAA";
	BlueKeys		= "AZAA";
	
	BrightnessKeys	= "AAAAAAA";
	RadiusKeys		= "AZAAAAA";
	OffsetKeys		= "AZAAAAA";
	RotationKeys	= "AZAAAAA";

	ColorTime		= 1.0;
	BrightnessTime	= 1.0;
	RadiusTime		= 1.0;
	OffsetTime		= 1.0;
	RotationTime	= 1.0;

	LerpColor		= false;
	LerpBrightness	= true;
	LerpRadius		= true;
	LerpOffset		= true;
	LerpRotation	= true;
};

